import type { ClassName, Styles } from '../../common.type';
import type { TypeRowProps } from './type';
export interface RowHTMLTagAttributes {
    class: ClassName;
    style: Styles;
    attrs?: {
        'row-gap'?: number;
    };
}
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, {
    size: string;
}, {
    updateSize(): void;
    handleIE(): void;
    calcRowStyle(gutter: TypeRowProps['gutter'], currentSize: string): Styles;
    rowGap(gutter: TypeRowProps['gutter'], currentSize: string): number;
}, {
    classes: ClassName;
}, {
    align: "center" | "top" | "middle" | "bottom" | "start" | "end" | "stretch" | "baseline";
    gutter: number | import("./type").GutterObject | (number | import("./type").GutterObject)[];
    justify: "center" | "start" | "end" | "space-around" | "space-between";
    tag: string;
}>;
export default _default;
